function init()
	gun.name = "Lance"
	gun.fireDelay = 0--2000
	gun.shotrange = 475
	gun.shotdamage = 10--overwritten
	gun.shotknockback = 6000
	gun.shotspeed = 8000
	gun.coolTime = 3500
	
	--gun.burstDelay = 0
	--gun.burstNum = 60
	gun.reloadDelay = 1500
	gun.clipNum = 100

	gun.fixed = 4--forward
	
	return 0
end


function update()
	return 0
end


function fire()
	if gun.heat <= .25 then
		gun.cycleBeam(3)--targeting
		gun.shotdamage = 0
	elseif gun.heat <= .3 then
		gun.cycleBeam(4)--flash
		gun.shotdamage = 10
	else
		gun.cycleBeam(1)--red
		gun.shotdamage = 10
	end
	
	--stage.GFP(gun.heat)

	stage.makeBeam(gun.beam, gun.owner, gun.owner.x, gun.owner.y, gun.firetarx, gun.firetary)
	
	--gun.GFP("made beam!")
	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end